org.apache.drill.jdbc

## Class ITTestShadedJar.DrillbitStartThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.drill.jdbc.ITTestShadedJar.AbstractLoaderThread
    - - org.apache.drill.jdbc.ITTestShadedJar.DrillbitStartThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  ITTestShadedJar

    public static class ITTestShadedJar.DrillbitStartThread
    extends ITTestShadedJar.AbstractLoaderThread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`static Semaphore` `SEM`

### Fields inherited from class org.apache.drill.jdbc.ITTestShadedJar.AbstractLoaderThread

`loader`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`DrillbitStartThread(ClassLoader loader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `internalRun()`

### Methods inherited from class org.apache.drill.jdbc.ITTestShadedJar.AbstractLoaderThread

`go, run`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SEM

    public static final Semaphore SEM

### Constructor Detail

#### DrillbitStartThread

    public DrillbitStartThread(ClassLoader loader)

### Method Detail

#### internalRun

    protected void internalRun()
                        throws Exception

Specified by:
  `internalRun` in class `ITTestShadedJar.AbstractLoaderThread`
Throws:
  `Exception`